﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="cluster.aspx.cs" Inherits="EHEC_Server.cluster" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head runat="server">
    <title>CS-EHEC-II</title>
    <%--<script src="https://d3js.org/d3.v4.min.js"></script>--%>
    <%--<script src="http://cdn.graphalchemist.com/alchemy.min.js"></script>--%>
    <link rel="stylesheet" type="text/css" href="alchemy/alchemy.css" />
    <link rel="stylesheet" type="text/css" href="alchemy/styles/vendor.css" />
    <link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.css" />
    <script type="text/javascript" src="jquery/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="lodash/lodash.js"></script>
    <script type="text/javascript" src="bootstrap/js/bootstrap.bundle.js"></script>
    <%--<script type="text/javascript" src="d3/d3.min.js"></script>--%>
    <script type="text/javascript" src="d3/d3.js"></script>
    <script type="text/javascript" src="alchemy/alchemy.js"></script>
    <%--<script type="text/javascript" src="alchemy/alchemy.min.js"></script>--%>
    <script type="text/javascript" src="alchemy/scripts/vendor.js"></script>
    
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <h1>EHEC Clusteranalysis</h1>
        </div>
    </form> 
    <div class="alchemy" id="alchemy"></div>

    <script type="text/javascript">
      var config = {
        dataSource: "alchemy/testdata/presocratics.json", 
        cluster: true, 
        clusterColours: ["#DD79FF", "#00FF30", "#5168FF", "#f83f00", "#ff8d8f"],
        forceLocked: false,
        nodeCaption: "title", 
        edgeCaption: "relatedness",
        nodeCaptionsOnByDefault: true,
        nodeTypes: {"type":["philosopher"]},
        directedEdges:true,
        nodeStyle: {
            "philosopher": {
                "radius": 15
            }
        }, 
        initialScale: 0.5, 
        initialTranslate: [250,150]
      }

        alchemy = new Alchemy(config)
    </script>
    
</body>
</html>
